Journal Logithèque-logiciel pour débutants

Posté par . Licence CC by-sa.
Tags : aucun
6
11
juin
2019

C'est quand même un sacré foutoir les "logiciels" du style package-manager (logithèque, logiciel…) sous GNU-Linux (et la je parle de Ubuntu/Linuxmint).

Un ami sous Linuxmint me demande comment installer le plugin pour normaliser les fichiers audios avant gravure avec le logiciel k3b. Je fait une rapide recherche et je tombe sur cette page. Je me dis cool il suffit d'ouvrir l'application graphique qui gère l'installation des paquets puis installer le paquet normalize-audio (je n'aime pas faire un apt install devant les "utilisateurs lambda" de linux.

J'ouvre donc le gestionnaire de logiciels devant mon ami puis dans la barre de recherche je tape normalize-audio et… rien aucun paquet trouvé (je précise que je viens de tester sous ubuntu et j'ai le même résultat).

J'ai donc du faire mon gros geek (parce que pour le commun des mortels faire de la ligne de commande ça fait un peu geek faut l'avouer) et faire un simple sudo apt install normalize-audio

C'est quand même le genre d’inconvénient qui rebuterait n'importe qui (je veux dire par la le commun des mortels) à passer sous GNU/LINUX et je trouve ça tellement dommage.

  • # Debian 9

    Posté par . Évalué à 1 (+1/-0).

    Sur Debian 9, deux logiciels sont présents de manière complémentaire :
    -Logithèque présente de manière intuitive tous les logiciels disponibles (nouveauté sous Debian 9)
    -Apper permet d'installer n'importe quel paquet des dépots (présent sous Debian 8)

    Je pense qu'il a été décidé de les faire cohabiter pour éviter le problème que tu rencontres.

    • [^] # Re: Debian 9

      Posté par . Évalué à 1 (+1/-0). Dernière modification le 11/06/19 à 22:14.

      Oui je connais, Apper/Muon pour kde, gnome-software/gnome-packagekit gnome… mais bon c'est une peu compliqué pour un débutant de devoir alterner entre les package-manager (au final c'est pasque plus compliqué que de faire un apt install :P ).

      En plus si j'installe le paquet gnome-packagekit sous ubuntu il s'appelle ensuite Paquets pfff franchement… (mais il a le mérite de trouver normalize-audio en effet :)

      • [^] # Re: Debian 9

        Posté par . Évalué à 2 (+0/-0).

        Le bon vieux Synaptic n'existe plus sur Ubuntu ? (edit auto-réponse : pas compatible avec Wayland donc abandonné sur Ubuntu)
        Sinon aptitude a une interface ncurses.

        Utiliser une GUI retirerait ce que tu dis sur le côté "geek" et ça permet aussi aux novices de commencer à approfondir leurs connaissances du système de paquets.

        • [^] # Re: Debian 9

          Posté par . Évalué à 5 (+5/-0).

          pas compatible avec wayland ? ce n’est pas de la responsabilité des toolkit graphiques (gtk etc…) d’être compatible avec wayland et compagnie ? comprend pô…

  • # Synaptic

    Posté par . Évalué à 6 (+4/-0). Dernière modification le 11/06/19 à 22:36.

    Synaptic trouve ce paquet sans problème et quand tu le sélectionnes pour installation, il te dit qu'il a besoin d'en installer 3 autres.

    Chaque fois que j'installe une Ubuntu, je n'utilise la logithèque qu'une seule fois pour installer Synaptic qui lui installe correctement les dépendances.
    Manifestement la logithèque ne gère pas l'installation des paquets, mais l'installation des logiciels et pour pallier la difficulté à gérer les dépendances entre paquets constitutifs d'un logiciel, elle préfère installer des snaps.

    • [^] # Re: Synaptic

      Posté par (page perso) . Évalué à 4 (+2/-0).

      Chaque fois que j'installe une Ubuntu, je n'utilise la logithèque qu'une seule fois pour installer Synaptic qui lui installe correctement les dépendances

      Même réaction avec Kubuntu, ou j'installe muon, par contre j'utilise encore généralement le logiciel logithèque de Kubuntu en priorité lorsque possible.

      elle préfère installer des snaps.

      Vous êtes invités à regarder l'espace de stockage ainsi occupé. Sauf besoin très fort d'une version snap, la version packagée normale est franchement à préférer - désormais je regarde systématiquement l'origine/format de l'installation proposée par la logithèque.

      Python 3 - Apprendre à programmer en Python avec PyZo et Jupyter Notebook → https://www.dunod.com/sciences-techniques/python-3

    • [^] # Re: Synaptic

      Posté par . Évalué à 3 (+3/-0).

      Oui c'est peut être une solution… mais bon quand même mon ami fait la démarche d'installer linux et il faut en plus lui faire comprendre qu'il ne faut pas qu'il utilise le package manager qui est installé par défaut.

      Je pense parfois que les devs non pas assez de retour des simples utilisateurs (moi y compris je n'avais jamais remarqué que certains paquets n'étaient pas présent dans la logithèque puisque j'utilise toujours apt, et apt-get avant lui et dnf sous fedora…).

      Manifestement la logithèque ne gère pas l'installation des paquets, mais l'installation des logiciels

      Oui d'accord nous on comprend mais bon si je commence à expliquer ce que c'est des snaps, flatpak… je vais passé pour un gros gros gros geek :O

  • # linux mint

    Posté par . Évalué à 4 (+4/-1).

    mint normalize-audio

    • [^] # Re: linux mint

      Posté par . Évalué à 2 (+3/-1). Dernière modification le 12/06/19 à 10:22.

      Lol je vais quand même répondre même si je trouve ça déplacé:
      Peut être que dans la version de linuxmint que tu as installé tu le trouve mais je t'assure qu'il n'y est pas dans la version de mon ami, il en est témoin. Et idem sous ubuntu:
      Aucune application trouvée

      • [^] # Re: linux mint

        Posté par . Évalué à 1 (+0/-0). Dernière modification le 12/06/19 à 10:51.

        Tiens c'est curieux. J'utilise Mint Cinnamon 19.1 vanilla. Est-ce qu'il a un version plus ancienne ? Je sais qu'il modifie souvent la logithéque de version en version.

      • [^] # Re: linux mint

        Posté par (page perso) . Évalué à 3 (+1/-0). Dernière modification le 12/06/19 à 12:21.

        Vous n'utilisez pas la même aplication, ce que tu vois, c'est gnome-software je pense (Logiciels), là où il doit lancer la logithèque Ubuntu (ou équivalent sur Mint).

        • [^] # Re: linux mint

          Posté par . Évalué à 1 (+1/-0).

          Oui en effet j'ai fait une capture d’écran sous ubuntu donc il s'agit bien de gnome-software. J'ai installé paquet (PackageKit) et il me trouve bien le bon paquet (normalize-audio).

          En réalité je n'ai aucun problème personnellement, je voulais juste pointer du doigt que même des distribution "user-friendly" comme ubuntu et linuxmint restent de temps en temps compliquées à cause de petits problèmes comme ça.
          Et c'est bien dommage.

Envoyer un commentaire

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.